package com.ruoyi.ehsIndexStatistics.vo;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

/**
 * 隐患统计
 *
 * @author: 马腾达
 * @date: 2023年12月15日 9:01
 */
@Data
public class HiddenDangerStatisticsVo {

    /**
     * 名称
     */
    @Excel(name = "各区(县)")
    private String name;

    /**
     * 企业注册数--当月
     */
    @Excel(name = "当月注册企业数")
    private Integer thisUnitNum;

    /**
     * 企业注册数--累计
     */
    @Excel(name = "累计注册企业数")
    private Integer totalUnitNum;
    /**
     * 上报隐患数--当月
     */
    @Excel(name = "当月上报隐患数")
    private Integer thisReportNum;

    /**
     * 上报隐患数--累计
     */
    @Excel(name = "累计上报隐患数")
    private Integer totalReportNum;
    /**
     * 已整改数量--当月
     */
    @Excel(name = "当月已整改数量")
    private Integer thisHaveNum;

    /**
     * 已整改数量--累计
     */
    @Excel(name = "累计已整改数量")
    private Integer totalHaveNum;
    /**
     * 未整改数量--当月
     */
    @Excel(name = "当月未整改数量")
    private Integer thisNotNum;

    /**
     * 未整改数量--累计
     */
    @Excel(name = "累计未整改数量")
    private Integer totalNotNum;
    /**
     * 整改率--当月
     */
    @Excel(name = "当月整改率")
    private String thisRate;

    /**
     * 整改率--累计
     */
    @Excel(name = "累计整改率")
    private String totalRate;

    private String deptId;
}
