package com.ruoyi.materialClass.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.materialClass.domain.MaterialClassSub;

/**
 * 物资分类-二级分类Service接口
 *
 * @author ruoyi
 * @date 2024-01-04
 */
public interface IMaterialClassSubService extends IService<MaterialClassSub> {

	/**
	 * 查询物资分类-二级分类
	 *
	 * @param classSubId 物资分类-二级分类主键
	 * @return 物资分类-二级分类
	 */
	public MaterialClassSub selectMaterialClassSubByClassSubId(String classSubId);

	/**
	 * 查询物资分类-二级分类列表
	 *
	 * @param materialClassSub 物资分类-二级分类
	 * @return 物资分类-二级分类集合
	 */
	public List<MaterialClassSub> selectMaterialClassSubList(MaterialClassSub materialClassSub);

}
